import Vue from "vue";
import VueRouter from "vue-router";
import BasicLayout from '@/layouts/BasicLayout.vue'
import HomePage from "../views/Home/index.vue";
import BasicInfo from "../views/BasicInfo/index.vue";

Vue.use(VueRouter);

const router = new VueRouter({
  mode: "history",
  base: import.meta.env.BASE_URL,
  routes: [
    {
      path: "/",
      name: "basic-layout",
      component: BasicLayout,
      redirect: '/home',
      children: [
        {
          path: '/home',
          name: 'home-page',
          component: HomePage
        },
        {
          path: '/basic',
          name: 'basic-page',
          component: BasicInfo
        }
      ]
    }
  ],
});

export default router;
